﻿@keyframes spinner_rotate {
    to {
        transform: rotate(360deg)
    }
}

@keyframes spinner_dash {
    0% {
        stroke-dasharray: 1, 200;
        stroke-dashoffset: 0
    }

    50% {
        stroke-dasharray: 89, 200;
        stroke-dashoffset: -35px
    }

    to {
        stroke-dasharray: 89, 200;
        stroke-dashoffset: -124px
    }
}

@keyframes spinner_color {

    0%, to {
        stroke: var(--color-FillPrimaryBlue)
    }
}

* {
    margin: 0;
    padding: 0
}

.loader_text_field {
    padding: 0 400px !important
}

.ShowPopup .loader_text_field {
    left: 61%
}

.ShowPopup .circular {
    left: 400px
}

.ShowPopup #ajax-loader-container-DM,
.ShowPopup #ajax-loader-container1 {
    padding: 0 204px !important;
    margin: 0 !important
}

.building-partial-list .tooltip-dark,
.mapview_panel .tooltip-dark,
.tooltip-dark {
    width: auto !important;
    max-width: 265px;
    background-color: var(--color-BgOrgOffWhite);
    border: 0;
    color: var(--color-TextBlack);
    font-size: 16px;
    font-weight: 500;
    box-shadow: 0 1px 8px var(--color-ShadowBlack);
    height: auto;
    border-radius: 4px;
    padding: 6px 10px !important;
    line-height: normal;
    font-family: var(--font-3) !important
}

#ajax-loader-container-DM,
#ajax-loader-container1 {
    width: 100%;
    height: 100%;
    position: fixed;
    top: 0;
    left: 0;
    bottom: 280px;
    right: auto;
    margin: 0;
    background: var(--color-BgTextSecondaryCharcoleGray);
    z-index: 11002
}

.ajax-loader-container {
    display: flex;
    justify-content: center;
    align-items: center
}

.circular {
    animation: spinner_rotate 2s linear infinite;
    height: 50px;
    width: 50px;
    transform-origin: center center;
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    margin: auto
}

.path {
    stroke-dasharray: 1, 200;
    stroke-dashoffset: 0;
    animation: spinner_dash 1.5s ease-in-out infinite, spinner_color 1.5s ease-in-out infinite;
    stroke-linecap: round
}

.loader_text_field {
    position: fixed;
    top: 57%;
    left: 50%;
    transform: translate(-50%, -50%);
    color: var(--color-TextBlack);
    font-size: 28px;
    font-weight: 400;
    width: 100%;
    text-align: center;
    display: flex;
    flex-direction: column
}

#ajax-loader-container-DM {
    background-color: var(--color-BgOverLayColor);
    /*    display: none*/
}

div#windowEmployee.loder div#ajax-loader-container-DM {
    display: block !important
}

#ajax-loader-container-DM {
    position: fixed;
    inset: 0;
    background: var(--color-BgOverLayColor);
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
}

    #ajax-loader-container-DM .loadergif {
        float: left;
        position: initial;
        height: 100px;
        width: 100px;
    }

    #ajax-loader-container-DM .loader_text_field {
        transform: none;
        position: initial;
        padding: 0px !important;
        margin-top: 10px;
        width: auto;
    }

    #ajax-loader-container-DM.loader-ccon {
        width: calc(100% + 400px);
        height: calc(100% + 86px);
        top: -86px;
        left: -400px;
    }
    /* App_Themes/Standard-ltr/styles.css */
    #ajax-loader-container-DM.headloader img {
        height: 100px;
        width: 100px;
    }

.loadergif {
    height: 100px;
    width: 100px;
}

#ajax-loader-container-DM.headloader .loader_text_field {
    color: var(--color-TextBlack);
    font-size: 28px;
    font-weight: 400;
}